package com.example.duplicate.common;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 曾文和
 * @description: XXX类
 * @createTime 2023/5/9 15:25
 */
@Data
@ApiModel("响应")
public class ResultBody <T>{
    @ApiModelProperty("响应码")
    private Integer code;
    @ApiModelProperty("响应消息")
    private String msg;
    @ApiModelProperty("响应实体")
    private T data;

    private ResultBody(Integer code, String msg,T data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }
    private ResultBody(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static <T> ResultBody<T> success(T data) {
        ResultBody result = new ResultBody(200, "success",data);
        return result;
    }

    public static <T> ResultBody<T> failed(String msg) {
        ResultBody result = new ResultBody(500,msg);
        return result;
    }
}
