package com.example.duplicate.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.duplicate.controller.vo.MessageLog;
import com.example.duplicate.infrastructure.configOneDao.MessageLogMapper;
import com.example.duplicate.infrastructure.configTwoDao.MessageLogTwoMapper;
import com.example.duplicate.service.MessageLogTwoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @ClassName MessageLogServiceImpl
 * @Description 湛江医院接口
 * @Author linjj
 * @Date 2023/10/13 15:19
 * @Version 1.0
 */
@Service
public class MessageLogTwoServiceImpl  implements MessageLogTwoService {
    @Autowired
    private MessageLogMapper messageLogMapper;
    @Autowired
    private MessageLogTwoMapper messageLogTwoMapper;
    @Value("${ZJ_DATE_TIME_LOG}")
    private String dateTime;


    @Override
    public int addMessageLog() {
        //查询需要移动数据条数
        int messageLogNum = messageLogMapper.getMessageLogNum(dateTime);
        //需要次数
        double num = ((double) messageLogNum) / 100;
        int circulateNum= (int) Math.ceil(num);
        for (int i=0;i<circulateNum;i++){
            //查询同步时间
            String synchronousTime = messageLogMapper.getSynchronousTime();
            //查询需要同步的数据每次查100条
            List<MessageLog> allBy = messageLogMapper.getAllBy(synchronousTime);
            //插入新数据库
            messageLogTwoMapper.addAll(allBy);
            //记录更新时间
            String dischargeDateTime = allBy.get(allBy.size() - 1).getDischargeDateTime();
            messageLogMapper.updateSynchronousTime(dischargeDateTime);
        }
        return 1;
    }
}
